Bug 594892 - reporting a non-existent or empty file with the report command causes it to crash
Summary: reporting a non-existent or empty file with the report command causes it to c...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: report
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Gavin Romig-Koch
QA Contact: David Kutálek
URL:
Whiteboard:
Depends On: 594890
Blocks: 594893
TreeView+ depends on / blocked
 
Reported: 2010-05-21 21:25 UTC by Gavin Romig-Koch
Modified: 2010-11-10 21:29 UTC (History)
4 users (show)

Fixed In Version: report-0.16-1
Doc Type: Bug Fix
Doc Text:
Clone Of: 594890
: 594893 (view as bug list)
Environment:
Last Closed: 2010-11-10 21:29:24 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Gavin Romig-Koch 2010-05-21 21:25:23 UTC
+++ This bug was initially created as a clone of Bug #594890 +++

$ report non-existant

    where 'non-existant' is not the name of a file causes report to crash

$ report empty

    where 'empty' is the name of an empty file causes report to crash

Comment 2 RHEL Program Management 2010-06-07 15:55:44 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Gavin Romig-Koch 2010-06-17 18:26:33 UTC
pushed to fedorahosted src repo.

Comment 7 releng-rhel@redhat.com 2010-11-10 21:29:24 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.